    /*******************************************************************/
    /******** USB stack hardware selection options *********************/
    /*******************************************************************/
    //This section is the set of definitions required by the MCHPFSUSB
    //  framework.  These definitions tell the firmware what mode it is
    //  running in, and where it can find the results to some information
    //  that the stack needs.
    //These definitions are required by every application developed with
    //  this revision of the MCHPFSUSB framework.  Please review each
    //  option carefully and determine which options are desired/required
    //  for your application.

    //The PICDEM FS USB Demo Board platform supports the USE_SELF_POWER_SENSE_IO
    //and USE_USB_BUS_SENSE_IO features.  Uncomment the below line(s) if
    //it is desireable to use one or both of the features.
    //#define USE_SELF_POWER_SENSE_IO
    #define tris_self_power     TRISAbits.TRISA2    // Input
    #if defined(USE_SELF_POWER_SENSE_IO)
    #define self_power          PORTAbits.RA2
    #else
    #define self_power          1
    #endif

    //#define USE_USB_BUS_SENSE_IO
    #define tris_usb_bus_sense  TRISAbits.TRISA1    // Input
    #if defined(USE_USB_BUS_SENSE_IO)
    #define USB_BUS_SENSE       PORTAbits.RA1
    #else
    #define USB_BUS_SENSE       1
    #endif


    //Uncomment the following line to make the output HEX of this  
    //  project work with the MCHPUSB Bootloader    
    //#define PROGRAMMABLE_WITH_USB_MCHPUSB_BOOTLOADER
	
    //Uncomment the following line to make the output HEX of this 
    //  project work with the HID Bootloader
    #define PROGRAMMABLE_WITH_USB_HID_BOOTLOADER		

    /*******************************************************************/
    /*******************************************************************/
    /*******************************************************************/
    /******** Application specific definitions *************************/
    /*******************************************************************/
    /*******************************************************************/
    /*******************************************************************/

    /** Board definition ***********************************************/
    //These defintions will tell the main() function which board is
    //  currently selected.  This will allow the application to add
    //  the correct configuration bits as wells use the correct
    //  initialization functions for the board.  These defitions are only
    //  required in the stack provided demos.  They are not required in
    //  final application design.
    #define PIC18F2550_MYBOARD
    #define CLOCK_FREQ 48000000
    #define GetSystemClock() CLOCK_FREQ


    /** LED ************************************************************/
    #define mInitAllLEDs()	LATC &= 0xFC; TRISC &= 0xFC; LATA &= 0xEF; TRISA &= 0xEF
    #define mLED_1				LATCbits.LATC0
    #define mLED_2				LATCbits.LATC1
    #define mGetLED_1()         mLED_1
    #define mGetLED_2()         mLED_2
    #define mLED_1_On()			mLED_1 = 1;
    #define mLED_2_On()			mLED_2 = 1;
    #define mLED_1_Off()		mLED_1 = 0;
    #define mLED_2_Off()		mLED_2 = 0;
    #define mLED_1_Toggle()		mLED_1 = !mLED_1;
    #define mLED_2_Toggle()		mLED_2 = !mLED_2;

    /** S W I T C H *****************************************************/
    #define mInitAllSwitches()	;
    #define mInitSwitch2()		;
    #define sw2					PORTEbits.RE3

    /** USB external transceiver interface (optional) ******************/
    
    /** I/O pin definitions ********************************************/
    #define INPUT_PIN 1
    #define OUTPUT_PIN 0
